Skip to content
Permalink
master
Switch branches/tags

Name already in use

A tag already exists with the provided branch name. Many Git commands accept both tag and branch names, so creating this branch may cause unexpected behavior. Are you sure you want to create this branch?
Go to file
8 contributors

Users who have contributed to this file

@alexander-akait @jhnns @joshwiens @silversonicaxel @michael-ciniawsky @hinok @jorrit @jtangelder
686 lines (340 sloc) 30.7 KB

Changelog

All notable changes to this project will be documented in this file. See standard-version for commit guidelines.

13.2.0 (2022-11-09)

Features

13.1.0 (2022-10-06)

Features

13.0.2 (2022-06-27)

Bug Fixes

13.0.1 (2022-06-24)

Bug Fixes

13.0.0 (2022-05-18)

BREAKING CHANGES

  • minimum supported Node.js version is 14.15.0 (#1048)
  • emit @warn at-rules as webpack warnings by default, if you want to revert behavior please use the warnRuleAsWarning option (#1054) (58ffb68)

Bug Fixes

  • do not crash on importers for modern API (#1052) (095814e)
  • do not store original sass error in webpack error(#1053) (06d7533)

12.6.0 (2022-02-15)

Features

  • added support for automatic loading of sass-embedded (#1025) (c8dae87)

12.5.0 (2022-02-14)

Features

  • added support for sass-embedded (faster than node-sass), feel free to feedback
  • added the api option (modern api is experimental and currently doesn't support built-in webpack resolver) (afbe114)

12.4.0 (2021-12-07)

Features

12.3.0 (2021-10-27)

Features

  • added the warnRuleAsWarning option, allows to emit a warning on the @warn rule (#992) (c652c79)
  • use webpack logger to log sass messages (only for dart-sass), configure it using infrastructureLogging (#991) (bb7cef9)

12.2.0 (2021-10-12)

Features

12.1.0 (2021-06-10)

Features

  • allow String value for the implementation option (382a3ca)

12.0.0 (2021-06-01)

BREAKING CHANGES

  • minimum supported Node.js version is 12.13.0

Bug Fixes

  • crash in custom importers with worker threads (#958) (67aa139)
  • resolving _index.import.scss/index.import.scss in packages (#906) (6641a16)

11.1.1 (2021-05-13)

Bug Fixes

  • disabled auto importing fiber on node >= 16 due incompatibility problems (#950) (4ca004b)

11.1.0 (2021-05-10)

Features

11.0.1 (2021-02-08)

Bug Fixes

  • compatibility with custom importers for node-sass (#927) (af5a072)

11.0.0 (2021-02-05)

Notes

  • using ~ is deprecated and can be removed from your code (we recommend it), but we still support it for historical reasons.

Why you can removed it? The loader will first try to resolve @import/@use as relative, if it cannot be resolved, the loader will try to resolve @import/@use inside node_modules. Using ~ means looking for files in node_modules or resolve.alias or resolve.fallback.

BREAKING CHANGES

  • minimum supported webpack version is 5

Features

  • supported the resolve.byDependency option, you can setup { resolve: { byDependency: { sass: { mainFiles: ['custom', '...'] } } } }

10.2.0 (2021-05-10)

Features

10.1.1 (2021-01-11)

Bug Fixes

  • problem with resolving and the includePaths option (#913) (cadc75e)

10.1.0 (2020-11-11)

Features

  • allow the additionalData to be async (#902) (9d925ff)

10.0.5 (2020-11-02)

Bug Fixes

10.0.4 (2020-10-22)

Bug Fixes

  • compatibility with the filesystem cache (#896) (e31f9b6)

10.0.3 (2020-10-09)

Chore

  • update schema-utils

10.0.2 (2020-09-03)

Bug Fixes

10.0.1 (2020-08-25)

Chore

  • update deps

10.0.0 (2020-08-24)

Bug Fixes

  • handle absolute windows path in source maps

10.0.0-rc.0 (2020-08-24)

BREAKING CHANGES

  • loader generates absolute sources in source maps, also avoids modifying sass source maps if the sourceMap option is false

9.0.3 (2020-08-05)

Bug Fixes

9.0.2 (2020-07-07)

Bug Fixes

9.0.1 (2020-07-03)

Bug Fixes

9.0.0 (2020-07-02)

BREAKING CHANGES

  • minimum supported Nodejs version is 10.13
  • prefer sass (dart-sass) by default, it is strongly recommended to migrate on sass (dart-sass)
  • the prependData option was removed in favor the additionalData option, see docs
  • when the sourceMap is true, sassOptions.sourceMap, sassOptions.sourceMapContents, sassOptions.sourceMapEmbed, sassOptions.sourceMapRoot and sassOptions.omitSourceMapUrl will be ignored.

Features

  • pass the loader context to custom importers under the this.webpackLoaderContext property (#853) (d487683)
  • supports for process.cwd() resolution logic by default (#837) (0c8d3b3)
  • supports for SASS-PATH env variable resolution logic by default (#836) (8376179)
  • supports for the sass property for the exports field from package.json (conditional exports, for more information read docs)

Bug Fixes

  • avoid different content on different os (#832) (68dd278)
  • resolution logic when the includePaths option used was improved (#827) (cbe5ad4)
  • resolution logic for file:// scheme was improved (17832fd)
  • resolution logic for absolute paths and server relative URLs was improved
  • source maps generation was improved

8.0.2 (2020-01-13)

Bug Fixes

8.0.1 (2020-01-10)

Bug Fixes

8.0.0 (2019-08-29)

BREAKING CHANGES

  • minimum required webpack version is 4.36.0
  • minimum required node.js version is 8.9.0
  • move all sass (includePaths, importer, functions, outputStyle) options to the sassOptions option. The functions option can't be used as Function, you should use sassOption as Function to achieve this.
  • the data option was renamed to the prependData option
  • default value of the sourceMap option depends on the devtool value (eval/false values don't enable source map generation)

Features

  • automatically use the fibers package if it is possible (#744) (96184e1)
  • source map generation depends on the devtool option (#743) (fcea88e)
  • validate loader options (#737) (7b543fc)
  • reworked error handling from node-sass/sass
  • improve resolution for @import (including support _index and index files in a directory)

Bug Fixes

  • compatibility with pnp

7.3.1 (2019-08-20)

Bug Fixes

  • minimum node version in package.json (#733) (1175920)

7.3.0 (2019-08-20)

Bug Fixes

Features

7.2.0 (2019-08-08)

Bug Fixes

Features

  • allow passing functions option as function (#651) (6c9654d)
  • support data as Function (#648) (aa64e1b)
  • support sass and style fields in package.json (#647) (a8709c9)
  • support auto resolving dart-sass (ff90dd6)

7.1.0 (2018-08-01)

Features

  • Make this package implementation-agnostic (#573) (bed9fb5), closes #435

7.0.3 (2018-06-05)

Bug Fixes

  • Bare imports not working sometimes (#579) (c348281), closes #566

7.0.2 (2018-06-02)

Bug Fixes

  • Errors being swallowed when trying to load node-sass (#576) (6dfb274), closes #563
  • Report error to user for problems loading node-sass (#562) (2529c07)

7.0.1 (2018-04-13)

Bug Fixes

  • Wrong import precedence (#557) (f4eeff1)

7.0.0 (2018-04-13)

Features

  • Refactor resolving and simplify webpack config aliases (#479) (e0fde1a)
  • Remove node-sass from peerDependencies (#533) (6439cef)

BREAKING CHANGES

  • Drop official node 4 support
  • This slightly changes the resolving algorithm. Should not break in normal usage, but might break in complex configurations.
  • The sass-loader throws an error at runtime now and refuses to compile if the peer dependency is wrong. This could break applications where npm's peer dependency warning was just ignored.

6.0.7 (2018-03-03)

Bug Fixes

  • package: add webpack >= v4.0.0 (peerDependencies) (#541) (620bdd4)

Performance Improvements

6.0.6 (2017-06-14)

Chore

  • Adds Webpack 3.x version range to peerDependencies

6.0.5 (2017-05-10)

Bug Fixes

  • importing file directly from scoped npm package #450 (5d06e9d)

6.0.4 (2017-05-09)

Bug Fixes

  • fix: Resolving of scoped npm packages #447

6.0.3 (2017-03-07)

Bug Fixes

  • Fix regression with empty files #398

Chore

  • Reduce npm package size by using the files property in the package.json

6.0.2 (2017-02-21)

Chore

  • Update dependencies #383

6.0.1 (2017-02-17)

Bug Fixes

  • Fix source maps in certain CWDs. #377

6.0.0 (2017-02-13)

Bug Fixes

  • Improve source map support. #374

BREAKING CHANGES

  • This is breaking for the resolve-url-loader

5.0.1 (2017-02-13)

Bug Fixes

  • Fix bug where multiple compilations interfered with each other. #369

5.0.0 (2017-02-13)

Code Refactoring

  • Remove synchronous compilation support #334

BREAKING CHANGES

4.1.1 (2016-12-21)

Chore

  • Update webpack peer dependency to support 2.2.0rc. #330

4.1.0 (2016-12-14)

Features

  • Update node-sass@4.0.0 #319

4.0.2 (2016-07-07)

Bug Fixes

  • Fix wrong context in customImporters #281

4.0.1 (2016-07-01)

Bug Fixes

  • Fix custom importers receiving 'stdin' as second argument instead of the actual resourcePath #267

4.0.0 (2016-06-27)

Bug Fixes

  • Fix incorrect source map paths #250

BREAKING CHANGES

  • Release new major version because the previous release was a breaking change in certain scenarios See: #250 (comment)

3.2.2 (2016-06-26)

Bug Fixes

  • Fix incorrect source map paths #250

3.2.1 (2016-06-19)

Bug Fixes

  • Add webpack@^2.1.0-beta as peer dependency #233

3.2.0 (2016-03-12)

Features

  • Append file content instead of overwriting when data-option is already present #216
  • Make indentedSyntax option a bit smarter #196

3.1.2 (2015-11-22)

Bug Fixes

  • Fix loader query not overriding webpack config #189
  • Update peer-dependencies #182
    • node-sass^3.4.2
    • webpack^1.12.6

3.1.1 (2015-10-26)

Bug Fixes

  • Fix missing module object-assign #178

3.1.0 (2015-10-25)

Bug Fixes

  • Fix a problem where modules with a . in their names were not resolved #167

Features

  • Add possibility to also define all options in your webpack.config.js #152 #170

3.0.0 (2015-09-29)

Bug Fixes

  • Fix crash when Sass reported an error without file #158

BREAKING CHANGES

  • Add node-sass@^3.3.3 and webpack@^1.12.2 as peer-dependency #165 #166 #169

2.0.1 (2015-08-14)

Bug Fixes

  • Add missing path normalization (fixes #141)

2.0.0 (2015-08-06)

Bug Fixes

Code Refactoring

BREAKING CHANGES

  • The new algorithm is aligned to libsass' way of resolving files. This yields to different results if two files with the same path and filename but with different extensions are present. Though this change should be no problem for most users, we must flag it as breaking change. #135 #138

1.0.4 (2015-08-03)

Bug Fixes

  • Fix wrong source-map urls #123
  • Include source-map contents by default #104

1.0.3 (2015-07-22)

Bug Fixes

  • Fix importing css files from scss/sass #101
  • Fix importing Sass partials from includePath #98 #110

1.0.2 (2015-04-15)

Bug Fixes

  • Fix a bug where files could not be imported across language styles #73
  • Update peer-dependency node-sass to 3.1.0

1.0.1 (2015-03-31)

Bug Fixes

  • Fix Sass partials not being resolved anymore #68
  • Update peer-dependency node-sass to 3.0.0-beta.4

1.0.0 (2015-03-22)

Bug Fixes

  • Moved node-sass^3.0.0-alpha.0 to peerDependencies #28
  • Using webpack's module resolver as custom importer #39
  • Add synchronous compilation support for usage with enhanced-require #39